Name:		dikt
Version:	3
Release:	%mkrel 1
Summary:	A Plasma client for the Dict network dictionary protocol
License:	BSD-like
Group:		Networking/Other
URL:		https://www.dikt.tv/
Source:		https://osdn.net/dl/dikt/%{name}-%{version}.txz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6PrintSupport)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6DBusAddons)

%description
Dikt is a dictionary application that implements the Dict protocol.
Dikt is a network application, it looks up words on Dict servers,
so its main advantage is that it’s not necessary to install any dictionaries.
Dikt is very similar to web browsers and should be easy to use to anyone
familiar with the Web and the Internet.

%prep
%autosetup

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%files
%doc README
%license LICENSE
%{_kf6_bindir}/%{name}
%{_kf6_datadir}/%{name}/
%{_kf6_applicationsdir}/%{name}.desktop
%{_kf6_datadir}/kxmlgui5/%{name}/
%{_kf6_iconsdir}/hicolor/128x128/apps/%{name}.png


%changelog
* Tue Feb 04 2025 daviddavid <daviddavid> 3-1.mga10
+ Revision: 2144984
- new version: 3
- switch to Qt6/KF6

* Thu May 16 2024 daviddavid <daviddavid> 2s7-1.mga10
+ Revision: 2064422
- new version: 2s7

* Wed Apr 06 2022 umeabot <umeabot> 2s4-3.mga9
+ Revision: 1846006
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 2s4-2.mga8
+ Revision: 1658322
- Rebuild for new Qt5

* Tue Jul 14 2020 daviddavid <daviddavid> 2s4-1.mga8
+ Revision: 1606118
- new version: 2s4

* Sat Feb 15 2020 umeabot <umeabot> 2s1-4.mga8
+ Revision: 1524539
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 2s1-3.mga7
+ Revision: 1381535
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2s1-2.mga7
+ Revision: 1297447
- Mageia 7 Mass Rebuild

* Sun Jan 15 2017 daviddavid <daviddavid> 2s1-1.mga6
+ Revision: 1081838
- new version: 2s1

* Mon Sep 05 2016 daviddavid <daviddavid> 2s-1.mga6
+ Revision: 1050117
- new version: 2s
- port to Kf5/Qt5
- update URL and Source URL

* Sat Feb 06 2016 umeabot <umeabot> 2l-4.mga6
+ Revision: 941943
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2l-3.mga5
+ Revision: 742550
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2l-2.mga5
+ Revision: 678746
- Mageia 5 Mass Rebuild

* Thu Apr 03 2014 dams <dams> 2l-1.mga5
+ Revision: 611449
- imported package dikt

